// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#ifndef __ContactRead_H_
#define __ContactRead_H_

#include <CNTDB.H>
#include <CNTITEM.H>
#include <CNTFIELD.H>
#include <CNTDEF.H>
#include <CNTFLDST.H>
#include <badesca.h>


class CContactRead : public CBase
{
public:

	static CContactRead* NewL();
	~CContactRead();

	CContactIdArray* SortByNameL();
	CContactDatabase& CntDatabase();
	CDesCArray* ReadTextFieldL(TContactItemId aCntId, TFieldType aType);

private:

	void ConstructL();

private:

	CContactDatabase* iCntDb;

};

#endif // __ContactRead_H_

// End of File
